Error
A valid request URL is required to generate request examples{
"srn": "srn2:role#table-reader-role",
"name": "table-reader-role",
"description": "Provides read-only access to specific tables.",
"createdAt": "2024-09-04T00:28:30.876+00:00",
"lastUpdatedAt": "2024-09-04T00:28:30.876+00:00",
"createdBy": "srn:zone:user:default:abcd1234",
"lastUpdatedBy": "srn:zone:user:default:abcd1234"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}Roles
Create a role
Creates an empty role. Attach policies with POST /roles/{roleSrn}/attach-policy.
POST
/
roles
Error
A valid request URL is required to generate request examples{
"srn": "srn2:role#table-reader-role",
"name": "table-reader-role",
"description": "Provides read-only access to specific tables.",
"createdAt": "2024-09-04T00:28:30.876+00:00",
"lastUpdatedAt": "2024-09-04T00:28:30.876+00:00",
"createdBy": "srn:zone:user:default:abcd1234",
"lastUpdatedBy": "srn:zone:user:default:abcd1234"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}Authorizations
A StarTree API token or a service token (st-<accessKey>-<secretKey>).
Body
application/json
Response
The created role.
Example:
"srn2:role#table-reader-role"
Example:
"table-reader-role"
Example:
"Provides read-only access to specific tables."
Example:
"2024-09-04T00:28:30.876+00:00"
Example:
"2024-09-04T00:28:30.876+00:00"
SRN of the principal that created the resource. Predefined StarTree resources show startree-rbac-manager.
Example:
"srn:zone:user:default:abcd1234"
Example:
"srn:zone:user:default:abcd1234"
Was this page helpful?

